## org.apache.taglibs.standard.tag.el.sql
Class DateParamTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.sql.DateParamTagSupport
              org.apache.taglibs.standard.tag.el.sql.DateParamTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class DateParamTag

extends DateParamTagSupport

Subclass for the JSTL library with EL support.

Author:
  Justyna Horwat
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.sql.DateParamTagSupport
`type, value`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DateParamTag()`

Method Summary
`int` `doStartTag()` Default processing of the start tag, returning SKIP_BODY.
`void` `setType(String typeEL)`
`void` `setValue(String valueEL)`

Methods inherited from class org.apache.taglibs.standard.tag.common.sql.DateParamTagSupport
`doEndTag`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateParamTag

    public DateParamTag()

Method Detail

### setValue

    public void setValue(String valueEL)

### setType

    public void setType(String typeEL)

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `TagSupport`
  Default processing of the start tag, returning SKIP_BODY.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
  Returns:
    SKIP_BODY
  Throws:
    `JspException` - if an error occurs while processing this tag
  See Also:
    `Tag.doStartTag()`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.